//	This class demonstrates the following
//	1. Using a user defined class
//	2. Using a class polymorphically
//	3. A simple contact management application
import java.util.Scanner;

public class AddressBook{
	public static void main(String[ ] args) {
		Scanner console = new Scanner(System.in);
		Directory dir = new SimpleDirectory();
		while(true) {
			System.out.print("Enter your option:  1) Add 2) List 3) Search 4) Exit: " );
			int option = Integer.parseInt(console.nextLine());						
			switch(option) {
				case 1: 
					System.out.print("Name: ");
					String name = console.nextLine();
					System.out.print("City: ");
					String city = console.nextLine();
					System.out.print("Phone: ");
					int phone = Integer.parseInt(console.nextLine());

					Contact current = new Contact();
					current.setName(name);
					current.setCity(city);
					current.setPhone(phone);	
					
					dir.add(current);			
					break;
				case 2: 
					Contact[ ] list = dir.list();
					for(int i=0; i<list.length; i++){
						if (list[i] == null) {
							break;
						}
						else {
							System.out.println(list[i].getName());
						}
					}
					break;
				case 3: 
					System.out.print("Name: ");
					name = console.nextLine();
					Contact result = dir.search(name);
					System.out.println(result.getPhone());
					break;
				case 4: 
					System.out.println("Thanks");
					System.exit(0);
			}
		}
	}
}